Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app
Interface ObservableContactCenterSim

All Superinterfaces:
  ContactCenterEval, ContactCenterInfo, ContactCenterSim

All Known Implementing Classes:
  AbstractCallCenterSim, CallCenterSim, CallCenterSimRQMC, CallCenterSimStrat

    public interface ObservableContactCenterSim

extends ContactCenterSim

Represents a contact center simulation whose simulation can be observed or stopped. An observer can be registered by using the `addContactCenterSimListener(umontreal.iro.lecuyer.contactcenters.app.ContactCenterSimListener)` method to be notified each time a step (replication or batch) of the simulation is done. Moreover, the `abort()` method can be used to stop the simulation before its end. This can be used to implement a user interface allowing the progress of the simulation to be displayed.

Method Summary
`void` | `abort()` Aborts the current simulation.
`void` | `addContactCenterSimListener(ContactCenterSimListener l)` Registers the listener `l` to be notified about the progress of the simulator.
`void` | `clearContactCenterSimListeners()` Removes all the listeners registered with this simulator.
`List<ContactCenterSimListener>` | `getContactCenterSimListeners()` Returns the listeners registered with this simulator.
`boolean` | `isAborted()` Determines if the simulation has been aborted by using the `abort()` method.
`void` | `removeContactCenterSimListener(ContactCenterSimListener l)` Removes the listener `l` from the list of listeners registered with this simulator.

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterSim
`eval, getAutoResetStartStream, getCompletedSteps, getConfidenceInterval, getConfidenceLevel, getMatrixOfFunctionOfMultipleMeansTallies, getMatrixOfStatProbes, getMatrixOfTallies, getMax, getMin, getSeqSampEachEval, getVariance, newSeeds, resetNextSubstream, resetStartStream, resetStartSubstream, setAutoResetStartStream, setConfidenceLevel, setSeqSampEachEval`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterEval
`formatStatistics, formatStatisticsExcel, formatStatisticsLaTeX, getEvalInfo, getEvalOption, getEvalOptions, getPerformanceMeasure, getPerformanceMeasures, getReportParams, hasEvalOption, hasPerformanceMeasure, isVerbose, reset, seemsUnstable, setEvalOption, setReportParams, setVerbose`

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.app.ContactCenterInfo
`getAgentGroupName, getAgentGroupProperties, getAgentGroupSegmentName, getAgentGroupSegmentProperties, getContactTypeName, getContactTypeProperties, getContactTypeSegmentName, getContactTypeSegmentProperties, getDefaultUnit, getInContactTypeSegmentName, getInContactTypeSegmentProperties, getMainPeriodName, getMainPeriodSegmentName, getMatrixOfAWTName, getNumAgentGroups, getNumAgentGroupSegments, getNumAgentGroupsWithSegments, getNumContactTypes, getNumContactTypeSegments, getNumContactTypesWithSegments, getNumInContactTypes, getNumInContactTypeSegments, getNumInContactTypesWithSegments, getNumMainPeriods, getNumMainPeriodSegments, getNumMainPeriodsWithSegments, getNumMatricesOfAWT, getNumOutContactTypes, getNumOutContactTypeSegments, getNumOutContactTypesWithSegments, getNumWaitingQueues, getNumWaitingQueueSegments, getNumWaitingQueuesWithSegments, getOutContactTypeSegmentName, getOutContactTypeSegmentProperties, getWaitingQueueName, getWaitingQueueProperties, getWaitingQueueSegmentName, getWaitingQueueSegmentProperties`

Method Detail

### addContactCenterSimListener

    void addContactCenterSimListener(ContactCenterSimListener l)

  Registers the listener `l` to be notified about the progress of the simulator.

  Parameters:
    `l` - the listener to be notified.
  Throws:
    `NullPointerException` - if `l` is `null`.

### removeContactCenterSimListener

    void removeContactCenterSimListener(ContactCenterSimListener l)

  Removes the listener `l` from the list of listeners registered with this simulator.

  Parameters:
    `l` - the listener being removed.

### clearContactCenterSimListeners

    void clearContactCenterSimListeners()

  Removes all the listeners registered with this simulator.

### getContactCenterSimListeners

    List<ContactCenterSimListener> getContactCenterSimListeners()

  Returns the listeners registered with this simulator.

  Returns:
    the list of registered listeners.

### isAborted

    boolean isAborted()

  Determines if the simulation has been aborted by using the `abort()` method.

  Returns:
    `true` if the simulation was aborted, `false` otherwise.

### abort

    void abort()

  Aborts the current simulation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.